#include <bits/stdc++.h>
using namespace std;
int main()
{
	long long n;
	cin>>n;
	vector<int>v(n);
	for(int i=0;i<n;++i)
	{
		cin>>v[i];
	}
	long long sum =0;
	 for(int i=0;i<n;++i)
	 {
	 	long long t=v[v.size()-1];
		 sum+=t;
	 	v.pop_back();
	 	for(int i=0;i<v.size();++i)
	 	{
	 		if(v[i]!=t and v[i]!=0)
	 		{
	 			v[i]--;
			 }
		 }
	 }
	 cout<<sum;
}